Subject: [bug#39258] Faster guix search using an sqlite cache

From: zimoun <[email-masked]>
Date: Tue, 4 Feb 2020 11:19:13 +0100

Hi,

On Sun, 2 Feb 2020 at 22:16, Arun Isaac <[email-masked]> wrote:

> Thank you, this was useful. I was able to catch and report the error. I

Where have you reported the error?

> also found the log file for the guix-package-cache profile hook. It says
>
> (repl-version 0 0)
> Generating package cache for '/gnu/store/b6f9b5qbcn4r932whrr6m15rdimbgrhs-profile'...
> (exception sqlite-error (value sqlite-open) (value 14) (value "Unable to open the database file"))
>
> This could be a permission error, or something to do with the existence
> or lack thereof of certain directories (such as /var) in the chroot of
> the build daemon. I'm still figuring it out.

Hum? And this should explain why it is working with the REPL and not
with the CLI, right?

> I'm also in half a mind to get some guile xapian bindings ready so we
> can just do that instead of messing with sqlite here. But, let's
> see. :-P

Cool!
Let me know if you push something somewhere.

Cheers,
simon